Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# osclconfig_memory.h

Go to the documentation of this file.

    00001 // -*- c++ -*-
    00002 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00003
    00004 //             O S C L C O N F I G _ M E M O R Y
    00005
    00006 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00007
    00008
    00009
    00010
    00011 #ifndef OSCLCONFIG_MEMORY_H_INCLUDED
    00012 #define OSCLCONFIG_MEMORY_H_INCLUDED
    00013
    00014
    00015 #ifndef OSCLCONFIG_H_INCLUDED
    00016 #include "osclconfig.h"
    00017 #endif
    00018
    00019 #ifndef OSCLCONFIG_ANSI_MEMORY_H_INCLUDED
    00020 #include "osclconfig_ansi_memory.h"
    00021 #endif
    00022
    00023 /* OSCL_HAS_GLOBAL_NEW_DELETE - Enables or disables the definition of overloaded
    00024  * global memory operators in oscl_mem.h
    00025  *
    00026  * Release Mode: OSCL_HAS_GLOBAL_NEW_DELETE 0
    00027  * Debug Mode: OSCL_HAS_GLOBAL_NEW_DELETE 1
    00028  */
    00029
    00030
    00031 #if (OSCL_RELEASE_BUILD)
    00032 #define OSCL_BYPASS_MEMMGT 1
    00033 #define OSCL_HAS_GLOBAL_NEW_DELETE 0
    00034 #else
    00035 #define OSCL_BYPASS_MEMMGT 1  //Temporarily disabling
    00036 #define OSCL_HAS_GLOBAL_NEW_DELETE 1
    00037 #endif
    00038
    00039 /* PVMEM_INST_LEVEL - Memory leak instrumentation level enables the compilation
    00040  * of detailed memory leak info (filename + line number).
    00041  * PVMEM_INST_LEVEL 0: Release mode.
    00042  * PVMEM_INST_LEVEL 1: Debug mode.
    00043  */
    00044
    00045 #if(OSCL_RELEASE_BUILD)
    00046 #define PVMEM_INST_LEVEL 0
    00047 #else
    00048 #define PVMEM_INST_LEVEL 1
    00049 #endif
    00050
    00051 #if(OSCL_HAS_GLOBAL_NEW_DELETE)
    00052 //Detect if <new> or <new.h> is included anyplace to avoid a compile error.
    00053 #if defined(_INC_NEW)
    00054 #error Duplicate New Definition!
    00055 #endif //_INC_NEW
    00056 #if defined(_NEW_)
    00057 #error Duplicate New Definition!
    00058 #endif //_NEW_
    00059 #endif //OSCL_HAS_GLOBAL_NEW_DELETE
    00060
    00061 #ifdef __cplusplus
    00062 #include <new> //for placement new
    00063 #endif //__cplusplus
    00064
    00065 //OSCL_HAS_HEAP_BASE_SUPPORT - Enables or disables overloaded memory operators in HeapBase class
    00066 #define OSCL_HAS_HEAP_BASE_SUPPORT 1
    00067
    00068 #define OSCL_HAS_SYMBIAN_MEMORY_FUNCS 0
    00069
    00070
    00071 #include "osclconfig_memory_check.h"
    00072
    00073
    00074 #endif